library(ggplot2)
xx <- seq(0,1,0.001)
beta1 <- dbeta(xx,3.2,2)
beta2 <- dbeta(xx,3,4.9)
beta3 <- dbeta(xx,5.8,2.8)

m<-ggplot(aspect=1.6) + 
  geom_line(aes(x=xx,y=beta1),linetype=1,size=1,color="black") + 
  geom_line(aes(x=xx,y=beta2),linetype=2,size=1,colour="black") +
  geom_line(aes(x=xx,y=beta3),linetype=6,size=1,colour="black") +
  ylab("") + ylim(0,2.75) + xlab(expression(alpha)) + xlim(0,1.1)
fs=4.5
m<-m+
  geom_text(aes(x=0.4,y=1.2,label="Global"),color="black",hjust=1,size=fs) + 
  geom_text(aes(x=0.28,y=2.27,label="Wiki"),color="black",hjust=1,size=fs) + 
  geom_text(aes(x=0.75,y=2.6,label="Movies"),color="black",hjust=0,size=fs)

#  geom_text(aes(x=0.4,y=1.2,label="Global\nBeta(3.2,2)"),color="black",hjust=1,size=fs) + 
#  geom_text(aes(x=0.28,y=2.27,label="Wikipedia\nBeta(3,4.9)"),color="black",hjust=1,size=fs) + 
#  geom_text(aes(x=0.82,y=2.27,label="Hellomovies\nBeta(5.8,2.8)"),color="black",hjust=0,size=fs)

m<-m+scale_y_continuous(labels=c("","",""),breaks=seq(0,2,1),limits=c(0,2.75))

m<-m+opts(plot.margin = unit(c(0,-1,0,-1), "lines"))
m
wid=2.5
postscript("fitted_dists.eps",width=wid,height=wid/1.6)
m
dev.off()